Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi.extensions
Interface DisconnectMonitor

    public interface DisconnectMonitor

This interface gives a user a way to register their remote objects for `DisconnectEvent`s. The `DisconnectMonitor` can be obtained by looking up `java:comp/weblogic/DisconnectMonitor` name in the local JNDI tree. Every time the server, on which the remote object is hosted, is disconnected, a `DisconnectEvent` is delivered using the `DisconnectListener.onDisconnect(weblogic.rmi.extensions.DisconnectEvent)` method on the registered `DisconnectListener`.

See Also:
  `DisconnectListener`, `DisconnectEvent`

Field Summary
`static String` | `JNDI_NAME` A symbolic reference to "weblogic.DisconnectMonitor"

Method Summary
`void` | `addDisconnectListener(Remote remoteObject, DisconnectListener listener)` Registers `DisconnectListener` with the `DisconnectMonitor` which will monitor when the remote server hosting the remoteObject is disconnected.
`void` | `removeDisconnectListener(Remote remoteObject, DisconnectListener listener)` Removes the `DisconnectListener` registered on the remoteObject.

Field Detail

### JNDI_NAME

    static final String JNDI_NAME

  A symbolic reference to "weblogic.DisconnectMonitor"

  See Also:
    Constant Field Values

Method Detail

### addDisconnectListener

    void addDisconnectListener(Remote remoteObject,
                               DisconnectListener listener)
                               throws DisconnectMonitorUnavailableException

  Registers `DisconnectListener` with the `DisconnectMonitor` which will monitor when the remote server hosting the remoteObject is disconnected. A `DisconnectEvent` is delivered to the `DisconnectListener`.

  Parameters:
    `remoteObject` -
    `listener` - Object implementing `DisconnectListener`
  Throws:
    `DisconnectMonitorUnavailableException` - Throws an exception if it was unable to find a suitable `DisconnectMonitor` for this remoteObject.

### removeDisconnectListener

    void removeDisconnectListener(Remote remoteObject,
                                  DisconnectListener listener)
                                  throws DisconnectMonitorUnavailableException

  Removes the `DisconnectListener` registered on the remoteObject.

  Parameters:
    `remoteObject` -
    `listener` -
  Throws:
    `DisconnectMonitorUnavailableException` - Throws an exception if it was unable to find a suitable `DisconnectMonitor` for this remoteObject.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD